daily pastebin goal
80%
SHARE
TWEET

unity-5.16

a guest Oct 1st, 2012 58 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. ah-1201n ah # emerge -avt unity
  2.  
  3. These are the packages that would be merged, in reverse order:
  4.  
  5. Calculating dependencies... done!
  6. [ebuild  N    ~] unity-base/unity-5.16.0::unity-gentoo  USE="-debug" 0 kB
  7.  
  8. Total: 1 package (1 new), Size of downloads: 0 kB
  9.  
  10. Would you like to merge these packages? [Yes/No]
  11.  
  12. >>> Verifying ebuild manifests
  13. >>> Running pre-merge checks for unity-base/unity-5.16.0
  14.  
  15. >>> Emerging (1 of 1) unity-base/unity-5.16.0 from unity-gentoo
  16.  * unity_5.16.0.orig.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                [ ok ]
  17.  * unity_5.16.0-0ubuntu1.diff.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                           [ ok ]
  18. >>> Unpacking source...
  19. >>> Unpacking unity_5.16.0.orig.tar.gz to /var/tmp/portage/unity-base/unity-5.16.0/work
  20. >>> Unpacking unity_5.16.0-0ubuntu1.diff.gz to /var/tmp/portage/unity-base/unity-5.16.0/work
  21. >>> Source unpacked in /var/tmp/portage/unity-base/unity-5.16.0/work
  22. >>> Preparing source in /var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0 ...
  23.  * Applying unity_5.16.0-0ubuntu1.diff ...                                                                      [ ok ]
  24.  * Applying stdcerr-fix.patch ...                                                                               [ ok ]
  25.  * Applying gtestdir_fix.patch ...                                                                              [ ok ]
  26.  * Applying dbus-1.6.patch ...                                                                                  [ ok ]
  27. >>> Source prepared.
  28. >>> Configuring source in /var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0 ...
  29. >>> Working in BUILD_DIR: "/var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0_build"
  30. cmake --no-warn-unused-cli -C /var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=/etc/gconf/schemas -DCOMPIZ_INCLUDEDIR=/usr/include/compiz -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0_build/gentoo_rules.cmake  /var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0
  31. Not searching for unused variables given on the command line.
  32. loading initial cache file /var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0_build/gentoo_common_config.cmake
  33. -- The C compiler identification is GNU 4.6.3
  34. -- The CXX compiler identification is GNU 4.6.3
  35. -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
  36. -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
  37. -- Detecting C compiler ABI info
  38. -- Detecting C compiler ABI info - done
  39. -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
  40. -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
  41. -- Detecting CXX compiler ABI info
  42. -- Detecting CXX compiler ABI info - done
  43. -- Found Gettext: /usr/bin/msgmerge (found version "0.18.1")
  44. -- Found PkgConfig: /usr/bin/pkg-config (found version "0.27.1")
  45. -- checking for module 'compiz'
  46. --   found compiz, version 0.9.7.8
  47. -- Performing Test HAVE_SCANDIR_POSIX
  48. -- Performing Test HAVE_SCANDIR_POSIX - Success
  49. -- Boost version: 1.49.0
  50. -- Found the following Boost libraries:
  51. --   serialization
  52. -- checking for module 'compiz-composite'
  53. --   found compiz-composite, version 0.9.7.8
  54. -- checking for module 'compiz-opengl'
  55. --   found compiz-opengl, version 0.9.7.8
  56. -- checking for module 'compiz-compiztoolbox'
  57. --   found compiz-compiztoolbox, version 0.9.7.8
  58. -- checking for module 'compiz'
  59. --   found compiz, version 0.9.7.8
  60. -- checking for module 'nux-2.0>=2.0.0'
  61. --   found nux-2.0, version 2.14.0
  62. Package libutouch-geis was not found in the pkg-config search path.
  63. Perhaps you should add the directory containing `libutouch-geis.pc'
  64. to the PKG_CONFIG_PATH environment variable
  65. Package 'libutouch-geis', required by 'NuxGraphics', not found
  66. Package libutouch-geis was not found in the pkg-config search path.
  67. Perhaps you should add the directory containing `libutouch-geis.pc'
  68. to the PKG_CONFIG_PATH environment variable
  69. Package 'libutouch-geis', required by 'NuxGraphics', not found
  70. Package libutouch-geis was not found in the pkg-config search path.
  71. Perhaps you should add the directory containing `libutouch-geis.pc'
  72. to the PKG_CONFIG_PATH environment variable
  73. Package 'libutouch-geis', required by 'NuxGraphics', not found
  74. Package libutouch-geis was not found in the pkg-config search path.
  75. Perhaps you should add the directory containing `libutouch-geis.pc'
  76. to the PKG_CONFIG_PATH environment variable
  77. Package 'libutouch-geis', required by 'NuxGraphics', not found
  78. Package libutouch-geis was not found in the pkg-config search path.
  79. Perhaps you should add the directory containing `libutouch-geis.pc'
  80. to the PKG_CONFIG_PATH environment variable
  81. Package 'libutouch-geis', required by 'NuxGraphics', not found
  82. Package libutouch-geis was not found in the pkg-config search path.
  83. Perhaps you should add the directory containing `libutouch-geis.pc'
  84. to the PKG_CONFIG_PATH environment variable
  85. Package 'libutouch-geis', required by 'NuxGraphics', not found
  86. Package libutouch-geis was not found in the pkg-config search path.
  87. Perhaps you should add the directory containing `libutouch-geis.pc'
  88. to the PKG_CONFIG_PATH environment variable
  89. Package 'libutouch-geis', required by 'NuxGraphics', not found
  90. Package libutouch-geis was not found in the pkg-config search path.
  91. Perhaps you should add the directory containing `libutouch-geis.pc'
  92. to the PKG_CONFIG_PATH environment variable
  93. Package 'libutouch-geis', required by 'NuxGraphics', not found
  94. Package libutouch-geis was not found in the pkg-config search path.
  95. Perhaps you should add the directory containing `libutouch-geis.pc'
  96. to the PKG_CONFIG_PATH environment variable
  97. Package 'libutouch-geis', required by 'NuxGraphics', not found
  98. Package libutouch-geis was not found in the pkg-config search path.
  99. Perhaps you should add the directory containing `libutouch-geis.pc'
  100. to the PKG_CONFIG_PATH environment variable
  101. Package 'libutouch-geis', required by 'NuxGraphics', not found
  102. Package libutouch-geis was not found in the pkg-config search path.
  103. Perhaps you should add the directory containing `libutouch-geis.pc'
  104. to the PKG_CONFIG_PATH environment variable
  105. Package 'libutouch-geis', required by 'NuxGraphics', not found
  106. Package libutouch-geis was not found in the pkg-config search path.
  107. Perhaps you should add the directory containing `libutouch-geis.pc'
  108. to the PKG_CONFIG_PATH environment variable
  109. Package 'libutouch-geis', required by 'NuxGraphics', not found
  110. -- checking for module 'libbamf3'
  111. --   found libbamf3, version 0.3.0
  112. -- checking for module 'dee-1.0'
  113. --   found dee-1.0, version 1.0.14
  114. -- checking for module 'gio-2.0'
  115. --   found gio-2.0, version 2.32.3
  116. -- checking for module 'gio-unix-2.0'
  117. --   found gio-unix-2.0, version 2.32.3
  118. -- checking for module 'dbusmenu-glib-0.4'
  119. --   found dbusmenu-glib-0.4, version 0.6.2
  120. -- checking for module 'x11'
  121. --   found x11, version 1.5.0
  122. -- checking for module 'libstartup-notification-1.0'
  123. --   found libstartup-notification-1.0, version 0.12
  124. -- checking for module 'gthread-2.0'
  125. --   found gthread-2.0, version 2.32.3
  126. -- checking for module 'indicator3-0.4>=0.4.90'
  127. --   found indicator3-0.4, version 12.10.1
  128. -- checking for module 'atk'
  129. --   found atk, version 2.5.91
  130. -- checking for module 'unity-misc>=0.4.0'
  131. --   found unity-misc, version 4.0.4
  132. -- checking for module 'gconf-2.0'
  133. --   found gconf-2.0, version 3.2.5
  134. -- checking for module 'libgeis'
  135. --   package 'libgeis' not found
  136. -- checking for module 'gtk+-3.0>=3.1'
  137. --   found gtk+-3.0, version 3.4.2
  138. -- checking for module 'sigc++-2.0'
  139. --   found sigc++-2.0, version 2.2.10
  140. -- checking for module 'json-glib-1.0'
  141. --   found json-glib-1.0, version 0.14.2
  142. -- checking for module 'libnotify'
  143. --   found libnotify, version 0.7.5
  144. -- checking for module 'gnome-desktop-3.0'
  145. --   found gnome-desktop-3.0, version 3.4.2
  146. -- checking for module 'gdu'
  147. --   found gdu, version 3.0.2
  148. -- checking for module 'xfixes'
  149. --   found xfixes, version 5.0
  150. -- [WARNING] One or more dependencies for compiz plugin unityshell not found. Skipping plugin.
  151. -- Missing dependencies :
  152. CMake Error at plugins/unityshell/CMakeLists.txt:12 (add_dependencies):
  153.   add_dependencies Adding dependency to non-existent target: unityshell
  154.  
  155.  
  156. -- checking for module 'compiz'
  157. --   found compiz, version 0.9.7.8
  158. -- Boost version: 1.49.0
  159. -- Found the following Boost libraries:
  160. --   serialization
  161. -- checking for module 'gtk+-3.0'
  162. --   found gtk+-3.0, version 3.4.2
  163. -- Boost version: 1.49.0
  164. -- Found the following Boost libraries:
  165. --   serialization
  166. -- Boost version: 1.49.0
  167. -- Found the following Boost libraries:
  168. --   serialization
  169. -- checking for module 'cairo'
  170. --   found cairo, version 1.10.2
  171. -- checking for module 'cairo-xlib-xrender'
  172. --   found cairo-xlib-xrender, version 1.10.2
  173. -- Boost version: 1.49.0
  174. -- Found the following Boost libraries:
  175. --   serialization
  176. -- checking for modules 'gtk+-3.0>=3.3;gobject-2.0;gio-2.0;gthread-2.0;indicator3-0.4>=0.4.90;x11;gconf-2.0'
  177. --   found gtk+-3.0, version 3.4.2
  178. --   found gobject-2.0, version 2.32.3
  179. --   found gio-2.0, version 2.32.3
  180. --   found gthread-2.0, version 2.32.3
  181. --   found indicator3-0.4, version 12.10.1
  182. --   found x11, version 1.5.0
  183. --   found gconf-2.0, version 3.2.5
  184. -- checking for modules 'compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libgeis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes;unity>=4.99.0'
  185. --   package 'libgeis' not found
  186. CMake Error at /usr/share/cmake/Modules/FindPkgConfig.cmake:284 (message):
  187.   A required package was not found
  188. Call Stack (most recent call first):
  189.   /usr/share/cmake/Modules/FindPkgConfig.cmake:338 (_pkg_check_modules_internal)
  190.   tests/CMakeLists.txt:19 (pkg_check_modules)
  191.  
  192.  
  193. -- checking for modules 'x11;xext'
  194. --   found x11, version 1.5.0
  195. --   found xext, version 1.3.1
  196. -- checking for modules 'x11;xext'
  197. --   found x11, version 1.5.0
  198. --   found xext, version 1.3.1
  199. -- checking for modules 'x11;xext'
  200. --   found x11, version 1.5.0
  201. --   found xext, version 1.3.1
  202. -- checking for modules 'glib-2.0;gio-2.0;dee-1.0;sigc++-2.0;nux-core-2.0;gdk-pixbuf-2.0;unity'
  203. --   found glib-2.0, version 2.32.3
  204. --   found gio-2.0, version 2.32.3
  205. --   found dee-1.0, version 1.0.14
  206. --   found sigc++-2.0, version 2.2.10
  207. --   found nux-core-2.0, version 2.14.0
  208. --   found gdk-pixbuf-2.0, version 2.26.4
  209. --   found unity, version 6.5.2
  210. -- checking for modules 'compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libgeis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes;unity>=4.0.0 xtst'
  211. --   package 'libgeis' not found
  212. CMake Error at /usr/share/cmake/Modules/FindPkgConfig.cmake:284 (message):
  213.   A required package was not found
  214. Call Stack (most recent call first):
  215.   /usr/share/cmake/Modules/FindPkgConfig.cmake:338 (_pkg_check_modules_internal)
  216.   standalone-clients/CMakeLists.txt:12 (pkg_check_modules)
  217.  
  218.  
  219. -- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so
  220. -- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so - found
  221. -- Looking for gethostbyname
  222. -- Looking for gethostbyname - found
  223. -- Looking for connect
  224. -- Looking for connect - found
  225. -- Looking for remove
  226. -- Looking for remove - found
  227. -- Looking for shmat
  228. -- Looking for shmat - found
  229. -- Looking for IceConnectionNumber in ICE
  230. -- Looking for IceConnectionNumber in ICE - found
  231. -- Found X11: /usr/lib64/libX11.so
  232. -- Found OpenGL: /usr/lib64/libGL.so (found version "5.16.0")
  233. -- GSettings schemas will be installed into /usr/share/glib-2.0/schemas/
  234. -- Found Doxygen: /usr/bin/doxygen (found version "1.7.6.1")
  235. -- <<< Gentoo configuration >>>
  236. Build type      Gentoo
  237. Install path    /usr
  238. Compiler flags:
  239. C               -march=atom -O2 -pipe
  240. C++             -DGNOME_DESKTOP_USE_UNSTABLE_API -std=c++0x -fno-permissive
  241. Linker flags:
  242. Executable       -Wl,-O1 -Wl,--as-needed
  243. Module           -Wl,-O1 -Wl,--as-needed
  244. Shared           -Wl,-O1 -Wl,--as-needed
  245.  
  246. -- Configuring incomplete, errors occurred!
  247.  * ERROR: unity-base/unity-5.16.0 failed (configure phase):
  248.  *   cmake failed
  249.  *
  250.  * Call stack:
  251.  *     ebuild.sh, line   85:  Called src_configure
  252.  *   environment, line 6259:  Called cmake-utils_src_configure
  253.  *   environment, line 1436:  Called _execute_optionaly 'src_configure'
  254.  *   environment, line  486:  Called enable_cmake-utils_src_configure
  255.  *   environment, line 2054:  Called die
  256.  * The specific snippet of code:
  257.  *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
  258.  *
  259.  * If you need support, post the output of `emerge --info '=unity-base/unity-5.16.0'`,
  260.  * the complete build log and the output of `emerge -pqv '=unity-base/unity-5.16.0'`.
  261.  * This ebuild is from an overlay named 'unity-gentoo': '/var/lib/layman/unity-gentoo/'
  262.  * The complete build log is located at '/var/tmp/portage/unity-base/unity-5.16.0/temp/build.log'.
  263.  * The ebuild environment file is located at '/var/tmp/portage/unity-base/unity-5.16.0/temp/environment'.
  264.  * Working directory: '/var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0_build'
  265.  * S: '/var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0'
  266.  
  267. >>> Failed to emerge unity-base/unity-5.16.0, Log file:
  268.  
  269. >>>  '/var/tmp/portage/unity-base/unity-5.16.0/temp/build.log'
  270.  
  271.  * Messages for package unity-base/unity-5.16.0:
  272.  
  273.  * ERROR: unity-base/unity-5.16.0 failed (configure phase):
  274.  *   cmake failed
  275.  *
  276.  * Call stack:
  277.  *     ebuild.sh, line   85:  Called src_configure
  278.  *   environment, line 6259:  Called cmake-utils_src_configure
  279.  *   environment, line 1436:  Called _execute_optionaly 'src_configure'
  280.  *   environment, line  486:  Called enable_cmake-utils_src_configure
  281.  *   environment, line 2054:  Called die
  282.  * The specific snippet of code:
  283.  *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
  284.  *
  285.  * If you need support, post the output of `emerge --info '=unity-base/unity-5.16.0'`,
  286.  * the complete build log and the output of `emerge -pqv '=unity-base/unity-5.16.0'`.
  287.  * This ebuild is from an overlay named 'unity-gentoo': '/var/lib/layman/unity-gentoo/'
  288.  * The complete build log is located at '/var/tmp/portage/unity-base/unity-5.16.0/temp/build.log'.
  289.  * The ebuild environment file is located at '/var/tmp/portage/unity-base/unity-5.16.0/temp/environment'.
  290.  * Working directory: '/var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0_build'
  291.  * S: '/var/tmp/portage/unity-base/unity-5.16.0/work/unity-5.16.0'
  292. ah-1201n ah #
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top